Bug 22385 - sysklogd-1.4-1 wan't build as non-root
Summary: sysklogd-1.4-1 wan't build as non-root
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: sysklogd (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-16 16:33 UTC by Michael Tokarev
Modified: 2014-03-17 02:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-16 16:33:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Tokarev 2000-12-16 16:33:25 UTC
It fails to install manpages:
 ...
 + make install TOPDIR=/var/tmp/syslog-root  
MANDIR=/var/tmp/syslog-root/usr/share/man MAN_OWNER=mjt
 /usr/bin/install -o mjt -g mjt -m 644 sysklogd.8  
/var/tmp/syslog-root/usr/share/man/man8/sysklogd.8
 /usr/bin/install: invalid group `mjt'
 make: *** [install_man] Error 1

My userid is "mjt", but there is no such group on my system.
My primary group is "users".  The same stupid "workaround"
was implemented in uucp package -- it makes install
with OWNER=`id`, and also tries to chown mjt:mjt files...
I suggest to either add $MAN_GROUP (in additional to $MAN_OWNER)
to makefile (should be done at a first place), just remove
all that -o $MAN_OWNER -g $MAN_OWNER from makefile using perl
before doing first make (just easy), or install that manpages
from .spec file (only 4 pages) -- the last one should be
most easy.

Comment 1 Bill Nottingham 2000-12-18 15:32:12 UTC
Will be fixed in sysklogd-1.4-3 (offending -o and -g expunged...)


Note You need to log in before you can comment on or make changes to this bug.